SellTraces Traces
Update trace sale eligibility
PATCH
/
api
/
traces
/
{id}
Update trace sale eligibility
curl --request PATCH \
--url https://app.rebates.ai/api/traces/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sellExcluded": true
}
'import requests
url = "https://app.rebates.ai/api/traces/{id}"
payload = { "sellExcluded": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sellExcluded: true})
};
fetch('https://app.rebates.ai/api/traces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"trace": {
"id": "<string>",
"sellExcluded": true,
"saleCount": 4503599627370495,
"locked": true
}
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}Authorizations
bearerAuthbetterAuthCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Trace id.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Trace sale eligibility flag.
⌘I
Update trace sale eligibility
